/* .trp-ls-shortcode-current-language {
  min-width: 30px !important;  
  width: 30px !important;      
  height: 30px !important;
  display: flex !important;
  align-items: center;
  justify-content: center;
  border: none !important;
  background: none !important;
  padding: 0 !important;
  background-image: none;
}

.trp-language-switcher{
  height: 34px !important;
}

.trp-ls-shortcode-current-language a {
  display: block;
  width: 40px !important;
  height: 30px !important;
  padding: 0px 0px !important;
}

.trp-ls-shortcode-current-language img {
  width: 30px !important;
  max-width: 30px !important;
  height: 30px !important;
  border-radius: 50% !important;
  object-fit: cover;
}

.trp-ls-shortcode-current-language:hover img {
  transform: scale(1.1);
  transition: transform 0.2s ease;
}

.trp-language-switcher:hover .trp-ls-shortcode-language {
    width: 160px !important;
    border-radius: 7px;
    transform: translateY(35px) translateX(-130px);
    border: none;
    z-index: 10;
}


.trp-language-switcher > div > a > img{
    width: 100%;
    max-width: 20px;
    height: 20px;
    object-fit: cover;
    border-radius: 50%;
}

.trp-ls-shortcode-current-language > a:first-child {
  color: transparent;
  padding: 0px 0px !important;
}

.trp-ls-shortcode-current-language > a:first-child img{
    width: 30px !important;
    max-width: 30px !important;
    height: 30px !important;
    max-height: 30px !important;
    pointer-events: none;
}

.trp-ls-shortcode-current-language > a:first-child img{
  visibility: visible !important;
}

.trp-language-switcher > div{
  background-image: none;
}

.trp-language-switcher > div > a{
  padding: 7px 5px;
}

@media (max-width: 1023px){
  .trp-language-switcher{
    width: 50px;
    display: flex;
    align-items: center;
    height: 35px !important;
  }
  .trp-language-switcher:hover .trp-ls-shortcode-language{
    transform: translateY(35px) translateX(-130px);
  }
} */

/* nuevo */
.trp-ls-shortcode-current-language {
  min-width: 30px !important;  
  width: 30px !important;      
  height: 30px !important;
  display: flex !important;
  align-items: center;
  justify-content: center;
  border: none !important;
  background: #ba0c2f !important;
  border-radius: 50% !important;
  padding: 20px !important;
  background-image: none;
}

.trp-language-switcher{
  width: 30px;
  height: 50px !important;
  padding-top: 10px;
}

.trp-ls-shortcode-current-language a {
  width: 30px !important;
  height: 30px !important;
  padding: 0px 0px !important;
  text-align: center;
  display: flex !important;
  align-items: center;
  justify-content: center;
}

.trp-ls-shortcode-current-language img {
  width: 30px !important;
  max-width: 30px !important;
  height: 30px !important;
  border-radius: 50% !important;
  object-fit: cover;
}

.trp-ls-shortcode-current-language:hover img {
  transform: scale(1.1);
  transition: transform 0.2s ease;
}

.trp-language-switcher:hover .trp-ls-shortcode-language {
    width: 60px !important;
    border-radius: 7px;
    transform: translateY(45px) translateX(-30px);
    border: none;
    z-index: 10;
    background: #fff;
}
.trp-language-switcher:hover{
  opacity: 1;
}


.trp-language-switcher > div > a > img{
    width: 100%;
    max-width: 20px;
    height: 20px;
    object-fit: cover;
    border-radius: 50%;
}

.trp-ls-shortcode-current-language > a:first-child {
  color: #fff;
  padding: 0px 0px !important;
}

.trp-language-switcher:hover .trp-ls-shortcode-current-language {
    visibility: visible;
}

.trp-ls-shortcode-current-language > a:first-child img{
    width: 30px !important;
    max-width: 30px !important;
    height: 30px !important;
    max-height: 30px !important;
    pointer-events: none;
}

.trp-ls-shortcode-current-language > a:first-child img{
  visibility: visible !important;
}

.trp-language-switcher > div{
  background-image: none;
}

.trp-language-switcher > div > a{
  padding: 7px 5px;
}

@media (max-width: 1023px){
  .trp-language-switcher{
    width: 50px;
    display: flex;
    align-items: center;
    height: 35px !important;
  }
  .trp-language-switcher:hover .trp-ls-shortcode-language{
    transform: translateY(35px) translateX(-130px);
  }
}

@media (max-width: 768px){
    .trp-language-switcher:hover .trp-ls-shortcode-language {
      transform: translateY(40px) translateX(-30px);
    }
    .trp-language-switcher{
      height: 50px;
    }
}